pcl::recognition::BVH< UserData >::BoundedObject Class Reference

`#include <pcl/recognition/ransac_based/bvh.h>`

## Public Member Functions

| BoundedObject (const UserData &data)
virtual | ~BoundedObject ()
float * | getBounds ()
float * | getCentroid ()
const float * | getCentroid () const
UserData & | getData ()

## Static Public Member Functions

static bool | compareCentroidsXCoordinates (const BoundedObject *a, const BoundedObject *b)
| This method is for std::sort. More...

## Protected Attributes

float | bounds_ [6]
| These are the bounds of the object. More...
float | centroid_ [3]
| This is the centroid. More...
UserData | data_
| This is the user-defined data object. More...

## Detailed Description

### template<class UserData>
class pcl::recognition::BVH< UserData >::BoundedObject

Definition at line 69 of file bvh.h.

## Constructor & Destructor Documentation

template<class UserData >

pcl::recognition::BVH< UserData >::BoundedObject::BoundedObject | ( | const UserData & | data | ) |

inline

Definition at line 72 of file bvh.h.

template<class UserData >

virtual pcl::recognition::BVH< UserData >::BoundedObject::~BoundedObject | ( |  | ) |

inline virtual

Definition at line 77 of file bvh.h.

## Member Function Documentation

template<class UserData >

static bool pcl::recognition::BVH< UserData >::BoundedObject::compareCentroidsXCoordinates | ( | const BoundedObject * | a,
|  | const BoundedObject * | b
| ) |  |

inline static

This method is for std::sort.

Definition at line 83 of file bvh.h.

References pcl::recognition::BVH< UserData >::BoundedObject::getCentroid().

template<class UserData >

float* pcl::recognition::BVH< UserData >::BoundedObject::getBounds | ( |  | ) |

inline

Definition at line 89 of file bvh.h.

template<class UserData >

float* pcl::recognition::BVH< UserData >::BoundedObject::getCentroid | ( |  | ) |

inline

Definition at line 95 of file bvh.h.

Referenced by pcl::recognition::BVH< UserData >::BoundedObject::compareCentroidsXCoordinates().

template<class UserData >

const float* pcl::recognition::BVH< UserData >::BoundedObject::getCentroid | ( |  | ) | const

inline

Definition at line 101 of file bvh.h.

template<class UserData >

UserData& pcl::recognition::BVH< UserData >::BoundedObject::getData | ( |  | ) |

inline

Definition at line 107 of file bvh.h.

## Member Data Documentation

template<class UserData >

float pcl::recognition::BVH< UserData >::BoundedObject::bounds_[6]

protected

These are the bounds of the object.

Definition at line 114 of file bvh.h.

template<class UserData >

float pcl::recognition::BVH< UserData >::BoundedObject::centroid_[3]

protected

This is the centroid.

Definition at line 116 of file bvh.h.

template<class UserData >

UserData pcl::recognition::BVH< UserData >::BoundedObject::data_

protected

This is the user-defined data object.

Definition at line 118 of file bvh.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/recognition/include/pcl/recognition/ransac_based/bvh.h